#ifndef __TRAY_H__
#define __TRAY_H__

#include <gdk/gdkwin32.h>
#include "mainwindow.h"

/* sylpheed main icon */
#define IDI_ICON1                       101

#define TRAY_STATE_NONE		0
#define TRAY_STATE_RESTORE	1
#define TRAY_STATE_MINIMIZED	2
#define TRAY_STATE_MAXIMIZED	3

extern int tray_init();
extern int tray_close();
extern void ShowTrayIcon(boolean show);
extern void SetWindowState(gint winstate);

MainWindow *mainwindow;
gboolean trayplugin_enable;
gboolean trayplugin_persistent;
gint trayplugin_windowstate;
gint trayplugin_laststate;

#endif /* __TRAY_H__ */